package gunav2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class dbrequestmanager_subs_0 {


public static RemoteObject  _bytestoimage(RemoteObject __ref,RemoteObject _bytes) throws Exception{
try {
		Debug.PushSubsStack("BytesToImage (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,277);
if (RapidSub.canDelegate("bytestoimage")) { return __ref.runUserSub(false, "dbrequestmanager","bytestoimage", __ref, _bytes);}
RemoteObject _in = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");
RemoteObject _bmp = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper");
Debug.locals.put("bytes", _bytes);
 BA.debugLineNum = 277;BA.debugLine="Public Sub BytesToImage(bytes() As Byte) As Bitmap";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 278;BA.debugLine="Dim In As InputStream";
Debug.ShouldStop(2097152);
_in = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");Debug.locals.put("In", _in);
 BA.debugLineNum = 279;BA.debugLine="In.InitializeFromBytesArray(bytes, 0, bytes.Lengt";
Debug.ShouldStop(4194304);
_in.runVoidMethod ("InitializeFromBytesArray",(Object)(_bytes),(Object)(BA.numberCast(int.class, 0)),(Object)(_bytes.getField(true,"length")));
 BA.debugLineNum = 280;BA.debugLine="Dim bmp As Bitmap";
Debug.ShouldStop(8388608);
_bmp = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper");Debug.locals.put("bmp", _bmp);
 BA.debugLineNum = 281;BA.debugLine="bmp.Initialize2(In)";
Debug.ShouldStop(16777216);
_bmp.runVoidMethod ("Initialize2",(Object)((_in.getObject())));
 BA.debugLineNum = 282;BA.debugLine="Return bmp";
Debug.ShouldStop(33554432);
if (true) return _bmp;
 BA.debugLineNum = 283;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 3;BA.debugLine="Private mTarget As Object";
dbrequestmanager._mtarget = RemoteObject.createNew ("Object");__ref.setField("_mtarget",dbrequestmanager._mtarget);
 //BA.debugLineNum = 4;BA.debugLine="Type DBResult (Tag As Object, Columns As Map, Row";
;
 //BA.debugLineNum = 5;BA.debugLine="Type DBCommand (Name As String, Parameters() As O";
;
 //BA.debugLineNum = 6;BA.debugLine="Private link As String";
dbrequestmanager._link = RemoteObject.createImmutable("");__ref.setField("_link",dbrequestmanager._link);
 //BA.debugLineNum = 7;BA.debugLine="Private bc As ByteConverter";
dbrequestmanager._bc = RemoteObject.createNew ("anywheresoftware.b4a.agraham.byteconverter.ByteConverter");__ref.setField("_bc",dbrequestmanager._bc);
 //BA.debugLineNum = 8;BA.debugLine="Private T_NULL = 0, T_STRING = 1, T_SHORT = 2, T_";
dbrequestmanager._t_null = BA.numberCast(byte.class, 0);__ref.setField("_t_null",dbrequestmanager._t_null);
dbrequestmanager._t_string = BA.numberCast(byte.class, 1);__ref.setField("_t_string",dbrequestmanager._t_string);
dbrequestmanager._t_short = BA.numberCast(byte.class, 2);__ref.setField("_t_short",dbrequestmanager._t_short);
dbrequestmanager._t_int = BA.numberCast(byte.class, 3);__ref.setField("_t_int",dbrequestmanager._t_int);
dbrequestmanager._t_long = BA.numberCast(byte.class, 4);__ref.setField("_t_long",dbrequestmanager._t_long);
dbrequestmanager._t_float = BA.numberCast(byte.class, 5);__ref.setField("_t_float",dbrequestmanager._t_float);
dbrequestmanager._t_double = BA.numberCast(byte.class, 6);__ref.setField("_t_double",dbrequestmanager._t_double);
dbrequestmanager._t_boolean = BA.numberCast(byte.class, 7);__ref.setField("_t_boolean",dbrequestmanager._t_boolean);
dbrequestmanager._t_blob = BA.numberCast(byte.class, 8);__ref.setField("_t_blob",dbrequestmanager._t_blob);
 //BA.debugLineNum = 10;BA.debugLine="Private VERSION As Float = 0.9";
dbrequestmanager._version = BA.numberCast(float.class, 0.9);__ref.setField("_version",dbrequestmanager._version);
 //BA.debugLineNum = 11;BA.debugLine="Private tempArray(1) As Object";
dbrequestmanager._temparray = RemoteObject.createNewArray ("Object", new int[] {1}, new Object[]{});__ref.setField("_temparray",dbrequestmanager._temparray);
 //BA.debugLineNum = 12;BA.debugLine="Dim jobTagAnterior As String = \"\" 'Mod por CHV -";
dbrequestmanager._jobtaganterior = BA.ObjectToString("");__ref.setField("_jobtaganterior",dbrequestmanager._jobtaganterior);
 //BA.debugLineNum = 13;BA.debugLine="Dim reqsList, timesList As List";
dbrequestmanager._reqslist = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");__ref.setField("_reqslist",dbrequestmanager._reqslist);
dbrequestmanager._timeslist = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");__ref.setField("_timeslist",dbrequestmanager._timeslist);
 //BA.debugLineNum = 14;BA.debugLine="Dim inicioRequest As Long 'ignore";
dbrequestmanager._iniciorequest = RemoteObject.createImmutable(0L);__ref.setField("_iniciorequest",dbrequestmanager._iniciorequest);
 //BA.debugLineNum = 15;BA.debugLine="Dim inicioJobDone As Long 'ignore";
dbrequestmanager._iniciojobdone = RemoteObject.createImmutable(0L);__ref.setField("_iniciojobdone",dbrequestmanager._iniciojobdone);
 //BA.debugLineNum = 16;BA.debugLine="Dim inicioRequestMap, inicioJobDoneMap As Map";
dbrequestmanager._iniciorequestmap = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");__ref.setField("_iniciorequestmap",dbrequestmanager._iniciorequestmap);
dbrequestmanager._iniciojobdonemap = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");__ref.setField("_iniciojobdonemap",dbrequestmanager._iniciojobdonemap);
 //BA.debugLineNum = 17;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _executebatch(RemoteObject __ref,RemoteObject _listofcommands,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("ExecuteBatch (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,64);
if (RapidSub.canDelegate("executebatch")) { return __ref.runUserSub(false, "dbrequestmanager","executebatch", __ref, _listofcommands, _tag);}
RemoteObject _j = RemoteObject.declareNull("gunav2.keymon.com.mx.httpjob");
RemoteObject _ms = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _out2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _command = RemoteObject.declareNull("gunav2.keymon.com.mx.dbrequestmanager._dbcommand");
Debug.locals.put("ListOfCommands", _listofcommands);
Debug.locals.put("Tag", _tag);
 BA.debugLineNum = 64;BA.debugLine="Public Sub ExecuteBatch(ListOfCommands As List, Ta";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 65;BA.debugLine="Dim j As HttpJob";
Debug.ShouldStop(1);
_j = RemoteObject.createNew ("gunav2.keymon.com.mx.httpjob");Debug.locals.put("j", _j);
 BA.debugLineNum = 66;BA.debugLine="Dim ms As OutputStream";
Debug.ShouldStop(2);
_ms = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");Debug.locals.put("ms", _ms);
 BA.debugLineNum = 67;BA.debugLine="Dim out2 As OutputStream = StartJob(j, ms, Tag)";
Debug.ShouldStop(4);
_out2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
_out2 = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_startjob" /*RemoteObject*/ ,(Object)(_j),(Object)(_ms),(Object)(_tag));Debug.locals.put("out2", _out2);Debug.locals.put("out2", _out2);
 BA.debugLineNum = 68;BA.debugLine="WriteInt(ListOfCommands.Size, out2)";
Debug.ShouldStop(8);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeint" /*RemoteObject*/ ,(Object)(_listofcommands.runMethod(true,"getSize")),(Object)(_out2));
 BA.debugLineNum = 69;BA.debugLine="For Each Command As DBCommand In ListOfCommands";
Debug.ShouldStop(16);
{
final RemoteObject group5 = _listofcommands;
final int groupLen5 = group5.runMethod(true,"getSize").<Integer>get()
;int index5 = 0;
;
for (; index5 < groupLen5;index5++){
_command = (group5.runMethod(false,"Get",index5));Debug.locals.put("Command", _command);
Debug.locals.put("Command", _command);
 BA.debugLineNum = 70;BA.debugLine="WriteObject(Command.Name, out2)";
Debug.ShouldStop(32);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeobject" /*RemoteObject*/ ,(Object)((_command.getField(true,"Name" /*RemoteObject*/ ))),(Object)(_out2));
 BA.debugLineNum = 71;BA.debugLine="WriteList(Command.Parameters, out2)";
Debug.ShouldStop(64);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writelist" /*RemoteObject*/ ,(Object)(dbrequestmanager.__c.runMethod(false, "ArrayToList", (Object)(_command.getField(false,"Parameters" /*RemoteObject*/ )))),(Object)(_out2));
 }
}Debug.locals.put("Command", _command);
;
 BA.debugLineNum = 73;BA.debugLine="out2.Close";
Debug.ShouldStop(256);
_out2.runVoidMethod ("Close");
 BA.debugLineNum = 74;BA.debugLine="j.PostBytes(link & \"?method=batch\", ms.ToBytesArr";
Debug.ShouldStop(512);
_j.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_postbytes" /*RemoteObject*/ ,(Object)(RemoteObject.concat(__ref.getField(true,"_link" /*RemoteObject*/ ),RemoteObject.createImmutable("?method=batch"))),(Object)(_ms.runMethod(false,"ToBytesArray")));
 BA.debugLineNum = 75;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _executecommand(RemoteObject __ref,RemoteObject _command,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("ExecuteCommand (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,78);
if (RapidSub.canDelegate("executecommand")) { return __ref.runUserSub(false, "dbrequestmanager","executecommand", __ref, _command, _tag);}
Debug.locals.put("Command", _command);
Debug.locals.put("Tag", _tag);
 BA.debugLineNum = 78;BA.debugLine="Public Sub ExecuteCommand(Command As DBCommand, Ta";
Debug.ShouldStop(8192);
 BA.debugLineNum = 81;BA.debugLine="ExecuteBatch(Array As DBCommand(Command), Tag)";
Debug.ShouldStop(65536);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_executebatch" /*RemoteObject*/ ,(Object)(dbrequestmanager.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("gunav2.keymon.com.mx.dbrequestmanager._dbcommand",new int[] {1},new Object[] {_command})))),(Object)(_tag));
 BA.debugLineNum = 82;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _executequery(RemoteObject __ref,RemoteObject _command,RemoteObject _limit,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("ExecuteQuery (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,30);
if (RapidSub.canDelegate("executequery")) { return __ref.runUserSub(false, "dbrequestmanager","executequery", __ref, _command, _limit, _tag);}
RemoteObject _j = RemoteObject.declareNull("gunav2.keymon.com.mx.httpjob");
RemoteObject _ms = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _out2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
Debug.locals.put("Command", _command);
Debug.locals.put("Limit", _limit);
Debug.locals.put("Tag", _tag);
 BA.debugLineNum = 30;BA.debugLine="Public Sub ExecuteQuery(Command As DBCommand, Limi";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 31;BA.debugLine="Dim j As HttpJob";
Debug.ShouldStop(1073741824);
_j = RemoteObject.createNew ("gunav2.keymon.com.mx.httpjob");Debug.locals.put("j", _j);
 BA.debugLineNum = 32;BA.debugLine="Dim ms As OutputStream";
Debug.ShouldStop(-2147483648);
_ms = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");Debug.locals.put("ms", _ms);
 BA.debugLineNum = 33;BA.debugLine="Dim out2 As OutputStream = StartJob(j, ms, Tag)";
Debug.ShouldStop(1);
_out2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
_out2 = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_startjob" /*RemoteObject*/ ,(Object)(_j),(Object)(_ms),(Object)(_tag));Debug.locals.put("out2", _out2);Debug.locals.put("out2", _out2);
 BA.debugLineNum = 37;BA.debugLine="WriteObject(Command.Name, out2)";
Debug.ShouldStop(16);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeobject" /*RemoteObject*/ ,(Object)((_command.getField(true,"Name" /*RemoteObject*/ ))),(Object)(_out2));
 BA.debugLineNum = 38;BA.debugLine="WriteInt(Limit, out2)";
Debug.ShouldStop(32);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeint" /*RemoteObject*/ ,(Object)(_limit),(Object)(_out2));
 BA.debugLineNum = 39;BA.debugLine="WriteList(Command.Parameters, out2)";
Debug.ShouldStop(64);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writelist" /*RemoteObject*/ ,(Object)(dbrequestmanager.__c.runMethod(false, "ArrayToList", (Object)(_command.getField(false,"Parameters" /*RemoteObject*/ )))),(Object)(_out2));
 BA.debugLineNum = 40;BA.debugLine="out2.Close";
Debug.ShouldStop(128);
_out2.runVoidMethod ("Close");
 BA.debugLineNum = 41;BA.debugLine="j.PostBytes(link & \"?method=query\", ms.ToBytesArr";
Debug.ShouldStop(256);
_j.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_postbytes" /*RemoteObject*/ ,(Object)(RemoteObject.concat(__ref.getField(true,"_link" /*RemoteObject*/ ),RemoteObject.createImmutable("?method=query"))),(Object)(_ms.runMethod(false,"ToBytesArray")));
 BA.debugLineNum = 42;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _executequery3(RemoteObject __ref,RemoteObject _command,RemoteObject _limit,RemoteObject _tag,RemoteObject _timeout) throws Exception{
try {
		Debug.PushSubsStack("ExecuteQuery3 (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,49);
if (RapidSub.canDelegate("executequery3")) { return __ref.runUserSub(false, "dbrequestmanager","executequery3", __ref, _command, _limit, _tag, _timeout);}
RemoteObject _j = RemoteObject.declareNull("gunav2.keymon.com.mx.httpjob");
RemoteObject _ms = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _out2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
Debug.locals.put("Command", _command);
Debug.locals.put("Limit", _limit);
Debug.locals.put("Tag", _tag);
Debug.locals.put("Timeout", _timeout);
 BA.debugLineNum = 49;BA.debugLine="Public Sub ExecuteQuery3(Command As DBCommand, Lim";
Debug.ShouldStop(65536);
 BA.debugLineNum = 50;BA.debugLine="Dim j As HttpJob";
Debug.ShouldStop(131072);
_j = RemoteObject.createNew ("gunav2.keymon.com.mx.httpjob");Debug.locals.put("j", _j);
 BA.debugLineNum = 51;BA.debugLine="Dim ms As OutputStream";
Debug.ShouldStop(262144);
_ms = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");Debug.locals.put("ms", _ms);
 BA.debugLineNum = 52;BA.debugLine="Dim out2 As OutputStream = StartJob(j,ms, Tag)";
Debug.ShouldStop(524288);
_out2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
_out2 = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_startjob" /*RemoteObject*/ ,(Object)(_j),(Object)(_ms),(Object)(_tag));Debug.locals.put("out2", _out2);Debug.locals.put("out2", _out2);
 BA.debugLineNum = 53;BA.debugLine="WriteObject(Command.Name, out2)";
Debug.ShouldStop(1048576);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeobject" /*RemoteObject*/ ,(Object)((_command.getField(true,"Name" /*RemoteObject*/ ))),(Object)(_out2));
 BA.debugLineNum = 54;BA.debugLine="WriteInt(Limit, out2)";
Debug.ShouldStop(2097152);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeint" /*RemoteObject*/ ,(Object)(_limit),(Object)(_out2));
 BA.debugLineNum = 55;BA.debugLine="WriteList(Command.Parameters, out2)";
Debug.ShouldStop(4194304);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writelist" /*RemoteObject*/ ,(Object)(dbrequestmanager.__c.runMethod(false, "ArrayToList", (Object)(_command.getField(false,"Parameters" /*RemoteObject*/ )))),(Object)(_out2));
 BA.debugLineNum = 56;BA.debugLine="out2.Close";
Debug.ShouldStop(8388608);
_out2.runVoidMethod ("Close");
 BA.debugLineNum = 57;BA.debugLine="j.PostBytes(link & \"?method=query\", ms.ToBytesArr";
Debug.ShouldStop(16777216);
_j.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_postbytes" /*RemoteObject*/ ,(Object)(RemoteObject.concat(__ref.getField(true,"_link" /*RemoteObject*/ ),RemoteObject.createImmutable("?method=query"))),(Object)(_ms.runMethod(false,"ToBytesArray")));
 BA.debugLineNum = 58;BA.debugLine="If Timeout <> 0 Then  j.GetRequest.Timeout = Time";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("!",_timeout,BA.numberCast(double.class, 0))) { 
_j.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_getrequest" /*RemoteObject*/ ).runMethod(true,"setTimeout",_timeout);};
 BA.debugLineNum = 59;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _filetobytes(RemoteObject __ref,RemoteObject _dir,RemoteObject _filename) throws Exception{
try {
		Debug.PushSubsStack("FileToBytes (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,258);
if (RapidSub.canDelegate("filetobytes")) { return __ref.runUserSub(false, "dbrequestmanager","filetobytes", __ref, _dir, _filename);}
RemoteObject _out = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _in = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");
Debug.locals.put("Dir", _dir);
Debug.locals.put("FileName", _filename);
 BA.debugLineNum = 258;BA.debugLine="Public Sub FileToBytes(Dir As String, FileName As";
Debug.ShouldStop(2);
 BA.debugLineNum = 259;BA.debugLine="Dim out As OutputStream";
Debug.ShouldStop(4);
_out = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");Debug.locals.put("out", _out);
 BA.debugLineNum = 260;BA.debugLine="out.InitializeToBytesArray(0)";
Debug.ShouldStop(8);
_out.runVoidMethod ("InitializeToBytesArray",(Object)(BA.numberCast(int.class, 0)));
 BA.debugLineNum = 261;BA.debugLine="Dim In As InputStream = File.OpenInput(Dir, FileN";
Debug.ShouldStop(16);
_in = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");
_in = dbrequestmanager.__c.getField(false,"File").runMethod(false,"OpenInput",(Object)(_dir),(Object)(_filename));Debug.locals.put("In", _in);Debug.locals.put("In", _in);
 BA.debugLineNum = 262;BA.debugLine="File.Copy2(In, out)";
Debug.ShouldStop(32);
dbrequestmanager.__c.getField(false,"File").runVoidMethod ("Copy2",(Object)((_in.getObject())),(Object)((_out.getObject())));
 BA.debugLineNum = 263;BA.debugLine="out.Close";
Debug.ShouldStop(64);
_out.runVoidMethod ("Close");
 BA.debugLineNum = 264;BA.debugLine="Return out.ToBytesArray";
Debug.ShouldStop(128);
if (true) return _out.runMethod(false,"ToBytesArray");
 BA.debugLineNum = 265;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _handlejob(RemoteObject __ref,RemoteObject _job) throws Exception{
try {
		Debug.PushSubsStack("HandleJob (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,210);
if (RapidSub.canDelegate("handlejob")) { return __ref.runUserSub(false, "dbrequestmanager","handlejob", __ref, _job);}
RemoteObject _in = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");
RemoteObject _cs = RemoteObject.declareNull("anywheresoftware.b4a.randomaccessfile.CompressedStreams");
RemoteObject _serverversion = RemoteObject.createImmutable(0f);
RemoteObject _method = RemoteObject.createImmutable("");
RemoteObject _table = RemoteObject.declareNull("gunav2.keymon.com.mx.dbrequestmanager._dbresult");
RemoteObject _numberofcolumns = RemoteObject.createImmutable(0);
int _i = 0;
RemoteObject _rowobjects = null;
int _col = 0;
RemoteObject _o = RemoteObject.declareNull("Object");
RemoteObject _rows = RemoteObject.createImmutable(0);
Debug.locals.put("Job", _job);
 BA.debugLineNum = 210;BA.debugLine="Public Sub HandleJob(Job As HttpJob) As DBResult";
Debug.ShouldStop(131072);
 BA.debugLineNum = 211;BA.debugLine="If jobTagAnterior <> Job.Tag Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_jobtaganterior" /*RemoteObject*/ ),BA.ObjectToString(_job.getField(false,"_tag" /*RemoteObject*/ )))) { 
 BA.debugLineNum = 213;BA.debugLine="If inicioJobDoneMap.IsInitialized Then inicioJob";
Debug.ShouldStop(1048576);
if (__ref.getField(false,"_iniciojobdonemap" /*RemoteObject*/ ).runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
__ref.getField(false,"_iniciojobdonemap" /*RemoteObject*/ ).runVoidMethod ("Put",(Object)(_job.getField(false,"_tag" /*RemoteObject*/ )),(Object)((dbrequestmanager.__c.getField(false,"DateTime").runMethod(true,"getNow"))));};
 };
 BA.debugLineNum = 218;BA.debugLine="Dim In As InputStream = Job.GetInputStream";
Debug.ShouldStop(33554432);
_in = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.InputStreamWrapper");
_in = _job.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_getinputstream" /*RemoteObject*/ );Debug.locals.put("In", _in);Debug.locals.put("In", _in);
 BA.debugLineNum = 219;BA.debugLine="Dim cs As CompressedStreams";
Debug.ShouldStop(67108864);
_cs = RemoteObject.createNew ("anywheresoftware.b4a.randomaccessfile.CompressedStreams");Debug.locals.put("cs", _cs);
 BA.debugLineNum = 220;BA.debugLine="In = cs.WrapInputStream(In, \"gzip\")";
Debug.ShouldStop(134217728);
_in = _cs.runMethod(false,"WrapInputStream",(Object)((_in.getObject())),(Object)(RemoteObject.createImmutable("gzip")));Debug.locals.put("In", _in);
 BA.debugLineNum = 221;BA.debugLine="Dim serverVersion As Float = ReadObject(In) 'igno";
Debug.ShouldStop(268435456);
_serverversion = BA.numberCast(float.class, __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readobject" /*RemoteObject*/ ,(Object)(_in)));Debug.locals.put("serverVersion", _serverversion);Debug.locals.put("serverVersion", _serverversion);
 BA.debugLineNum = 222;BA.debugLine="Dim method As String = ReadObject(In)";
Debug.ShouldStop(536870912);
_method = BA.ObjectToString(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readobject" /*RemoteObject*/ ,(Object)(_in)));Debug.locals.put("method", _method);Debug.locals.put("method", _method);
 BA.debugLineNum = 223;BA.debugLine="Dim table As DBResult";
Debug.ShouldStop(1073741824);
_table = RemoteObject.createNew ("gunav2.keymon.com.mx.dbrequestmanager._dbresult");Debug.locals.put("table", _table);
 BA.debugLineNum = 224;BA.debugLine="table.Initialize";
Debug.ShouldStop(-2147483648);
_table.runVoidMethod ("Initialize");
 BA.debugLineNum = 225;BA.debugLine="table.Columns.Initialize";
Debug.ShouldStop(1);
_table.getField(false,"Columns" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 226;BA.debugLine="table.rows.Initialize";
Debug.ShouldStop(2);
_table.getField(false,"Rows" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 227;BA.debugLine="table.Tag = Job.Tag";
Debug.ShouldStop(4);
_table.setField ("Tag" /*RemoteObject*/ ,_job.getField(false,"_tag" /*RemoteObject*/ ));
 BA.debugLineNum = 228;BA.debugLine="If method = \"query\" Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",_method,BA.ObjectToString("query"))) { 
 BA.debugLineNum = 229;BA.debugLine="Dim numberOfColumns As Int = ReadInt(In)";
Debug.ShouldStop(16);
_numberofcolumns = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readint" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("numberOfColumns", _numberofcolumns);Debug.locals.put("numberOfColumns", _numberofcolumns);
 BA.debugLineNum = 230;BA.debugLine="For i = 0 To numberOfColumns - 1";
Debug.ShouldStop(32);
{
final int step16 = 1;
final int limit16 = RemoteObject.solve(new RemoteObject[] {_numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step16 > 0 && _i <= limit16) || (step16 < 0 && _i >= limit16) ;_i = ((int)(0 + _i + step16))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 231;BA.debugLine="table.Columns.Put(ReadObject(In), i)";
Debug.ShouldStop(64);
_table.getField(false,"Columns" /*RemoteObject*/ ).runVoidMethod ("Put",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readobject" /*RemoteObject*/ ,(Object)(_in))),(Object)(RemoteObject.createImmutable((_i))));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 233;BA.debugLine="Do While ReadByte(In) = 1";
Debug.ShouldStop(256);
while (RemoteObject.solveBoolean("=",__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbyte" /*RemoteObject*/ ,(Object)(_in)),BA.numberCast(double.class, 1))) {
 BA.debugLineNum = 234;BA.debugLine="Dim rowObjects(numberOfColumns) As Object";
Debug.ShouldStop(512);
_rowobjects = RemoteObject.createNewArray ("Object", new int[] {_numberofcolumns.<Integer>get().intValue()}, new Object[]{});Debug.locals.put("rowObjects", _rowobjects);
 BA.debugLineNum = 235;BA.debugLine="table.rows.Add(rowObjects)";
Debug.ShouldStop(1024);
_table.getField(false,"Rows" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)((_rowobjects)));
 BA.debugLineNum = 236;BA.debugLine="For col = 0 To numberOfColumns - 1";
Debug.ShouldStop(2048);
{
final int step22 = 1;
final int limit22 = RemoteObject.solve(new RemoteObject[] {_numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_col = 0 ;
for (;(step22 > 0 && _col <= limit22) || (step22 < 0 && _col >= limit22) ;_col = ((int)(0 + _col + step22))  ) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 237;BA.debugLine="Dim o As Object = ReadObject(In)";
Debug.ShouldStop(4096);
_o = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readobject" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("o", _o);Debug.locals.put("o", _o);
 BA.debugLineNum = 238;BA.debugLine="rowObjects(col) = o";
Debug.ShouldStop(8192);
_rowobjects.setArrayElement (_o,BA.numberCast(int.class, _col));
 }
}Debug.locals.put("col", _col);
;
 }
;
 }else 
{ BA.debugLineNum = 241;BA.debugLine="Else If method = \"batch\" Then";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean("=",_method,BA.ObjectToString("batch"))) { 
 BA.debugLineNum = 242;BA.debugLine="table.Columns.Put(\"AffectedRows\", 0)";
Debug.ShouldStop(131072);
_table.getField(false,"Columns" /*RemoteObject*/ ).runVoidMethod ("Put",(Object)(RemoteObject.createImmutable(("AffectedRows"))),(Object)(RemoteObject.createImmutable((0))));
 BA.debugLineNum = 243;BA.debugLine="Dim rows As Int = ReadInt(In)";
Debug.ShouldStop(262144);
_rows = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readint" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("rows", _rows);Debug.locals.put("rows", _rows);
 BA.debugLineNum = 244;BA.debugLine="For i = 0 To rows - 1";
Debug.ShouldStop(524288);
{
final int step30 = 1;
final int limit30 = RemoteObject.solve(new RemoteObject[] {_rows,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step30 > 0 && _i <= limit30) || (step30 < 0 && _i >= limit30) ;_i = ((int)(0 + _i + step30))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 245;BA.debugLine="table.rows.Add(Array As Object(ReadInt(In)))";
Debug.ShouldStop(1048576);
_table.getField(false,"Rows" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readint" /*RemoteObject*/ ,(Object)(_in)))}))));
 }
}Debug.locals.put("i", _i);
;
 }}
;
 BA.debugLineNum = 248;BA.debugLine="In.Close";
Debug.ShouldStop(8388608);
_in.runVoidMethod ("Close");
 BA.debugLineNum = 250;BA.debugLine="If jobTagAnterior <> table.Tag Then";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_jobtaganterior" /*RemoteObject*/ ),BA.ObjectToString(_table.getField(false,"Tag" /*RemoteObject*/ )))) { 
 BA.debugLineNum = 251;BA.debugLine="LogColor(\"HandleJob: '\"&table.Tag&\"'\" & \" - Regi";
Debug.ShouldStop(67108864);
dbrequestmanager.__c.runVoidMethod ("LogImpl","087752745",RemoteObject.concat(RemoteObject.createImmutable("HandleJob: '"),_table.getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable("'"),RemoteObject.createImmutable(" - Registros: "),_table.getField(false,"Rows" /*RemoteObject*/ ).runMethod(true,"getSize")),dbrequestmanager.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 115)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 140))));
 };
 BA.debugLineNum = 253;BA.debugLine="jobTagAnterior = table.Tag  'Mod por CHV - 211109";
Debug.ShouldStop(268435456);
__ref.setField ("_jobtaganterior" /*RemoteObject*/ ,BA.ObjectToString(_table.getField(false,"Tag" /*RemoteObject*/ )));
 BA.debugLineNum = 254;BA.debugLine="Return table";
Debug.ShouldStop(536870912);
if (true) return _table;
 BA.debugLineNum = 255;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _imagetobytes(RemoteObject __ref,RemoteObject _image) throws Exception{
try {
		Debug.PushSubsStack("ImageToBytes (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,268);
if (RapidSub.canDelegate("imagetobytes")) { return __ref.runUserSub(false, "dbrequestmanager","imagetobytes", __ref, _image);}
RemoteObject _out = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
Debug.locals.put("Image", _image);
 BA.debugLineNum = 268;BA.debugLine="Public Sub ImageToBytes(Image As Bitmap) As Byte()";
Debug.ShouldStop(2048);
 BA.debugLineNum = 269;BA.debugLine="Dim out As OutputStream";
Debug.ShouldStop(4096);
_out = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");Debug.locals.put("out", _out);
 BA.debugLineNum = 270;BA.debugLine="out.InitializeToBytesArray(0)";
Debug.ShouldStop(8192);
_out.runVoidMethod ("InitializeToBytesArray",(Object)(BA.numberCast(int.class, 0)));
 BA.debugLineNum = 271;BA.debugLine="Image.WriteToStream(out, 100, \"JPEG\")";
Debug.ShouldStop(16384);
_image.runVoidMethod ("WriteToStream",(Object)((_out.getObject())),(Object)(BA.numberCast(int.class, 100)),(Object)(BA.getEnumFromString(BA.getDeviceClass("android.graphics.Bitmap.CompressFormat"),RemoteObject.createImmutable("JPEG"))));
 BA.debugLineNum = 272;BA.debugLine="out.Close";
Debug.ShouldStop(32768);
_out.runVoidMethod ("Close");
 BA.debugLineNum = 273;BA.debugLine="Return out.ToBytesArray";
Debug.ShouldStop(65536);
if (true) return _out.runMethod(false,"ToBytesArray");
 BA.debugLineNum = 274;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba,RemoteObject _target,RemoteObject _connectorlink) throws Exception{
try {
		Debug.PushSubsStack("Initialize (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,21);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "dbrequestmanager","initialize", __ref, _ba, _target, _connectorlink);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
Debug.locals.put("Target", _target);
Debug.locals.put("ConnectorLink", _connectorlink);
 BA.debugLineNum = 21;BA.debugLine="Public Sub Initialize (Target As Object, Connector";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 22;BA.debugLine="mTarget = Target";
Debug.ShouldStop(2097152);
__ref.setField ("_mtarget" /*RemoteObject*/ ,_target);
 BA.debugLineNum = 23;BA.debugLine="link = ConnectorLink";
Debug.ShouldStop(4194304);
__ref.setField ("_link" /*RemoteObject*/ ,_connectorlink);
 BA.debugLineNum = 24;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _printtable(RemoteObject __ref,RemoteObject _table) throws Exception{
try {
		Debug.PushSubsStack("PrintTable (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,286);
if (RapidSub.canDelegate("printtable")) { return __ref.runUserSub(false, "dbrequestmanager","printtable", __ref, _table);}
RemoteObject _sb = RemoteObject.declareNull("anywheresoftware.b4a.keywords.StringBuilderWrapper");
RemoteObject _col = RemoteObject.declareNull("Object");
RemoteObject _row = null;
RemoteObject _record = RemoteObject.declareNull("Object");
Debug.locals.put("Table", _table);
 BA.debugLineNum = 286;BA.debugLine="Public Sub PrintTable(Table As DBResult)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 287;BA.debugLine="Log(\"Tag: \" & Table.Tag & \", Columns: \" & Table.C";
Debug.ShouldStop(1073741824);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088014849",RemoteObject.concat(RemoteObject.createImmutable("Tag: "),_table.getField(false,"Tag" /*RemoteObject*/ ),RemoteObject.createImmutable(", Columns: "),_table.getField(false,"Columns" /*RemoteObject*/ ).runMethod(true,"getSize"),RemoteObject.createImmutable(", Rows: "),_table.getField(false,"Rows" /*RemoteObject*/ ).runMethod(true,"getSize")),0);
 BA.debugLineNum = 288;BA.debugLine="Dim sb As StringBuilder";
Debug.ShouldStop(-2147483648);
_sb = RemoteObject.createNew ("anywheresoftware.b4a.keywords.StringBuilderWrapper");Debug.locals.put("sb", _sb);
 BA.debugLineNum = 289;BA.debugLine="sb.Initialize";
Debug.ShouldStop(1);
_sb.runVoidMethod ("Initialize");
 BA.debugLineNum = 290;BA.debugLine="For Each col In Table.Columns.Keys";
Debug.ShouldStop(2);
{
final RemoteObject group4 = _table.getField(false,"Columns" /*RemoteObject*/ ).runMethod(false,"Keys");
final int groupLen4 = group4.runMethod(true,"getSize").<Integer>get()
;int index4 = 0;
;
for (; index4 < groupLen4;index4++){
_col = group4.runMethod(false,"Get",index4);Debug.locals.put("col", _col);
Debug.locals.put("col", _col);
 BA.debugLineNum = 291;BA.debugLine="sb.Append(col).Append(TAB)";
Debug.ShouldStop(4);
_sb.runMethod(false,"Append",(Object)(BA.ObjectToString(_col))).runVoidMethod ("Append",(Object)(dbrequestmanager.__c.getField(true,"TAB")));
 }
}Debug.locals.put("col", _col);
;
 BA.debugLineNum = 293;BA.debugLine="Log(sb.ToString)";
Debug.ShouldStop(16);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088014855",_sb.runMethod(true,"ToString"),0);
 BA.debugLineNum = 294;BA.debugLine="For Each row() As Object In Table.Rows";
Debug.ShouldStop(32);
{
final RemoteObject group8 = _table.getField(false,"Rows" /*RemoteObject*/ );
final int groupLen8 = group8.runMethod(true,"getSize").<Integer>get()
;int index8 = 0;
;
for (; index8 < groupLen8;index8++){
_row = (group8.runMethod(false,"Get",index8));Debug.locals.put("row", _row);
Debug.locals.put("row", _row);
 BA.debugLineNum = 295;BA.debugLine="Dim sb As StringBuilder";
Debug.ShouldStop(64);
_sb = RemoteObject.createNew ("anywheresoftware.b4a.keywords.StringBuilderWrapper");Debug.locals.put("sb", _sb);
 BA.debugLineNum = 296;BA.debugLine="sb.Initialize";
Debug.ShouldStop(128);
_sb.runVoidMethod ("Initialize");
 BA.debugLineNum = 297;BA.debugLine="For Each record As Object In row";
Debug.ShouldStop(256);
{
final RemoteObject group11 = _row;
final int groupLen11 = group11.getField(true,"length").<Integer>get()
;int index11 = 0;
;
for (; index11 < groupLen11;index11++){
_record = group11.getArrayElement(false,RemoteObject.createImmutable(index11));Debug.locals.put("record", _record);
Debug.locals.put("record", _record);
 BA.debugLineNum = 298;BA.debugLine="sb.Append(record).Append(TAB)";
Debug.ShouldStop(512);
_sb.runMethod(false,"Append",(Object)(BA.ObjectToString(_record))).runVoidMethod ("Append",(Object)(dbrequestmanager.__c.getField(true,"TAB")));
 }
}Debug.locals.put("record", _record);
;
 BA.debugLineNum = 300;BA.debugLine="Log(sb.ToString)";
Debug.ShouldStop(2048);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088014862",_sb.runMethod(true,"ToString"),0);
 }
}Debug.locals.put("row", _row);
;
 BA.debugLineNum = 302;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _readbyte(RemoteObject __ref,RemoteObject _in) throws Exception{
try {
		Debug.PushSubsStack("ReadByte (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,203);
if (RapidSub.canDelegate("readbyte")) { return __ref.runUserSub(false, "dbrequestmanager","readbyte", __ref, _in);}
RemoteObject _data = null;
Debug.locals.put("In", _in);
 BA.debugLineNum = 203;BA.debugLine="Private Sub ReadByte(In As InputStream) As Byte";
Debug.ShouldStop(1024);
 BA.debugLineNum = 204;BA.debugLine="Dim data(1) As Byte";
Debug.ShouldStop(2048);
_data = RemoteObject.createNewArray ("byte", new int[] {1}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 205;BA.debugLine="In.ReadBytes(data, 0, 1)";
Debug.ShouldStop(4096);
_in.runVoidMethod ("ReadBytes",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 206;BA.debugLine="Return data(0)";
Debug.ShouldStop(8192);
if (true) return _data.getArrayElement(true,BA.numberCast(int.class, 0));
 BA.debugLineNum = 207;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable((byte)0);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _readbytesfully(RemoteObject __ref,RemoteObject _in,RemoteObject _data,RemoteObject _len) throws Exception{
try {
		Debug.PushSubsStack("ReadBytesFully (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,183);
if (RapidSub.canDelegate("readbytesfully")) { return __ref.runUserSub(false, "dbrequestmanager","readbytesfully", __ref, _in, _data, _len);}
RemoteObject _count = RemoteObject.createImmutable(0);
RemoteObject _read = RemoteObject.createImmutable(0);
Debug.locals.put("In", _in);
Debug.locals.put("Data", _data);
Debug.locals.put("Len", _len);
 BA.debugLineNum = 183;BA.debugLine="Private Sub ReadBytesFully(In As InputStream, Data";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 184;BA.debugLine="Dim count = 0, read As Int";
Debug.ShouldStop(8388608);
_count = BA.numberCast(int.class, 0);Debug.locals.put("count", _count);Debug.locals.put("count", _count);
_read = RemoteObject.createImmutable(0);Debug.locals.put("read", _read);
 BA.debugLineNum = 185;BA.debugLine="Do While count < Len And read > -1";
Debug.ShouldStop(16777216);
while (RemoteObject.solveBoolean("<",_count,BA.numberCast(double.class, _len)) && RemoteObject.solveBoolean(">",_read,BA.numberCast(double.class, -(double) (0 + 1)))) {
 BA.debugLineNum = 186;BA.debugLine="read = In.ReadBytes(Data, count, Len - count)";
Debug.ShouldStop(33554432);
_read = _in.runMethod(true,"ReadBytes",(Object)(_data),(Object)(_count),(Object)(RemoteObject.solve(new RemoteObject[] {_len,_count}, "-",1, 1)));Debug.locals.put("read", _read);
 BA.debugLineNum = 187;BA.debugLine="count = count + read";
Debug.ShouldStop(67108864);
_count = RemoteObject.solve(new RemoteObject[] {_count,_read}, "+",1, 1);Debug.locals.put("count", _count);
 }
;
 BA.debugLineNum = 189;BA.debugLine="Return Data";
Debug.ShouldStop(268435456);
if (true) return _data;
 BA.debugLineNum = 190;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _readint(RemoteObject __ref,RemoteObject _in) throws Exception{
try {
		Debug.PushSubsStack("ReadInt (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,198);
if (RapidSub.canDelegate("readint")) { return __ref.runUserSub(false, "dbrequestmanager","readint", __ref, _in);}
RemoteObject _data = null;
Debug.locals.put("In", _in);
 BA.debugLineNum = 198;BA.debugLine="Private Sub ReadInt(In As InputStream) As Int";
Debug.ShouldStop(32);
 BA.debugLineNum = 199;BA.debugLine="Dim data(4) As Byte";
Debug.ShouldStop(64);
_data = RemoteObject.createNewArray ("byte", new int[] {4}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 200;BA.debugLine="Return bc.IntsFromBytes(ReadBytesFully(In, data,";
Debug.ShouldStop(128);
if (true) return __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"IntsFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0));
 BA.debugLineNum = 201;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _readobject(RemoteObject __ref,RemoteObject _in) throws Exception{
try {
		Debug.PushSubsStack("ReadObject (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,147);
if (RapidSub.canDelegate("readobject")) { return __ref.runUserSub(false, "dbrequestmanager","readobject", __ref, _in);}
RemoteObject _data = null;
RemoteObject _b = RemoteObject.createImmutable((byte)0);
RemoteObject _len = RemoteObject.createImmutable(0);
Debug.locals.put("In", _in);
 BA.debugLineNum = 147;BA.debugLine="Private Sub ReadObject(In As InputStream) As Objec";
Debug.ShouldStop(262144);
 BA.debugLineNum = 148;BA.debugLine="Dim data(1) As Byte";
Debug.ShouldStop(524288);
_data = RemoteObject.createNewArray ("byte", new int[] {1}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 149;BA.debugLine="In.ReadBytes(data, 0, 1)";
Debug.ShouldStop(1048576);
_in.runVoidMethod ("ReadBytes",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 150;BA.debugLine="Select data(0)";
Debug.ShouldStop(2097152);
switch (BA.switchObjectToInt(_data.getArrayElement(true,BA.numberCast(int.class, 0)),__ref.getField(true,"_t_null" /*RemoteObject*/ ),__ref.getField(true,"_t_short" /*RemoteObject*/ ),__ref.getField(true,"_t_int" /*RemoteObject*/ ),__ref.getField(true,"_t_long" /*RemoteObject*/ ),__ref.getField(true,"_t_float" /*RemoteObject*/ ),__ref.getField(true,"_t_double" /*RemoteObject*/ ),__ref.getField(true,"_t_boolean" /*RemoteObject*/ ),__ref.getField(true,"_t_blob" /*RemoteObject*/ ))) {
case 0: {
 BA.debugLineNum = 152;BA.debugLine="Return Null";
Debug.ShouldStop(8388608);
if (true) return dbrequestmanager.__c.getField(false,"Null");
 break; }
case 1: {
 BA.debugLineNum = 154;BA.debugLine="Dim data(2) As Byte";
Debug.ShouldStop(33554432);
_data = RemoteObject.createNewArray ("byte", new int[] {2}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 155;BA.debugLine="Return bc.ShortsFromBytes(ReadBytesFully(In, da";
Debug.ShouldStop(67108864);
if (true) return (__ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"ShortsFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0)));
 break; }
case 2: {
 BA.debugLineNum = 157;BA.debugLine="Dim data(4) As Byte";
Debug.ShouldStop(268435456);
_data = RemoteObject.createNewArray ("byte", new int[] {4}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 158;BA.debugLine="Return bc.IntsFromBytes(ReadBytesFully(In, data";
Debug.ShouldStop(536870912);
if (true) return (__ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"IntsFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0)));
 break; }
case 3: {
 BA.debugLineNum = 160;BA.debugLine="Dim data(8) As Byte";
Debug.ShouldStop(-2147483648);
_data = RemoteObject.createNewArray ("byte", new int[] {8}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 161;BA.debugLine="Return bc.LongsFromBytes(ReadBytesFully(In, dat";
Debug.ShouldStop(1);
if (true) return (__ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"LongsFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0)));
 break; }
case 4: {
 BA.debugLineNum = 163;BA.debugLine="Dim data(4) As Byte";
Debug.ShouldStop(4);
_data = RemoteObject.createNewArray ("byte", new int[] {4}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 164;BA.debugLine="Return bc.FloatsFromBytes(ReadBytesFully(In, da";
Debug.ShouldStop(8);
if (true) return (__ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"FloatsFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0)));
 break; }
case 5: {
 BA.debugLineNum = 166;BA.debugLine="Dim data(8) As Byte";
Debug.ShouldStop(32);
_data = RemoteObject.createNewArray ("byte", new int[] {8}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 167;BA.debugLine="Return bc.DoublesFromBytes(ReadBytesFully(In, d";
Debug.ShouldStop(64);
if (true) return (__ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"DoublesFromBytes",(Object)(__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))))).getArrayElement(true,BA.numberCast(int.class, 0)));
 break; }
case 6: {
 BA.debugLineNum = 169;BA.debugLine="Dim b As Byte = ReadByte(In)";
Debug.ShouldStop(256);
_b = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbyte" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("b", _b);Debug.locals.put("b", _b);
 BA.debugLineNum = 170;BA.debugLine="Return b = 1";
Debug.ShouldStop(512);
if (true) return RemoteObject.createImmutable((RemoteObject.solveBoolean("=",_b,BA.numberCast(double.class, 1))));
 break; }
case 7: {
 BA.debugLineNum = 172;BA.debugLine="Dim len As Int = ReadInt(In)";
Debug.ShouldStop(2048);
_len = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readint" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("len", _len);Debug.locals.put("len", _len);
 BA.debugLineNum = 173;BA.debugLine="Dim data(len) As Byte";
Debug.ShouldStop(4096);
_data = RemoteObject.createNewArray ("byte", new int[] {_len.<Integer>get().intValue()}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 174;BA.debugLine="Return ReadBytesFully(In, data, data.Length)";
Debug.ShouldStop(8192);
if (true) return (__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length"))));
 break; }
default: {
 BA.debugLineNum = 176;BA.debugLine="Dim len As Int = ReadInt(In)";
Debug.ShouldStop(32768);
_len = __ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readint" /*RemoteObject*/ ,(Object)(_in));Debug.locals.put("len", _len);Debug.locals.put("len", _len);
 BA.debugLineNum = 177;BA.debugLine="Dim data(len) As Byte";
Debug.ShouldStop(65536);
_data = RemoteObject.createNewArray ("byte", new int[] {_len.<Integer>get().intValue()}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 178;BA.debugLine="ReadBytesFully(In, data, data.Length)";
Debug.ShouldStop(131072);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_readbytesfully" /*RemoteObject*/ ,(Object)(_in),(Object)(_data),(Object)(_data.getField(true,"length")));
 BA.debugLineNum = 179;BA.debugLine="Return BytesToString(data, 0, data.Length, \"UTF";
Debug.ShouldStop(262144);
if (true) return (dbrequestmanager.__c.runMethod(true,"BytesToString",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(_data.getField(true,"length")),(Object)(RemoteObject.createImmutable("UTF8"))));
 break; }
}
;
 BA.debugLineNum = 181;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _requesttimes(RemoteObject __ref,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("requestTimes (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,304);
if (RapidSub.canDelegate("requesttimes")) { return __ref.runUserSub(false, "dbrequestmanager","requesttimes", __ref, _tag);}
RemoteObject _times = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
RemoteObject _requesttime = RemoteObject.createImmutable("");
RemoteObject _jobdonetime = RemoteObject.createImmutable("");
Debug.locals.put("tag", _tag);
 BA.debugLineNum = 304;BA.debugLine="Sub requestTimes(tag As String) As Map 'ignore";
Debug.ShouldStop(32768);
 BA.debugLineNum = 305;BA.debugLine="Private times As Map";
Debug.ShouldStop(65536);
_times = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("times", _times);
 BA.debugLineNum = 306;BA.debugLine="times.Initialize";
Debug.ShouldStop(131072);
_times.runVoidMethod ("Initialize");
 BA.debugLineNum = 309;BA.debugLine="If reqsList.IsInitialized Then";
Debug.ShouldStop(1048576);
if (__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 312;BA.debugLine="If inicioRequestMap.ContainsKey(tag) Then";
Debug.ShouldStop(8388608);
if (__ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ ).runMethod(true,"ContainsKey",(Object)((_tag))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 313;BA.debugLine="inicioRequest = inicioRequestMap.Get(tag)";
Debug.ShouldStop(16777216);
__ref.setField ("_iniciorequest" /*RemoteObject*/ ,BA.numberCast(long.class, __ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ ).runMethod(false,"Get",(Object)((_tag)))));
 };
 BA.debugLineNum = 316;BA.debugLine="If inicioJobDoneMap.ContainsKey(tag) Then";
Debug.ShouldStop(134217728);
if (__ref.getField(false,"_iniciojobdonemap" /*RemoteObject*/ ).runMethod(true,"ContainsKey",(Object)((_tag))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 317;BA.debugLine="inicioJobDone = inicioJobDoneMap.Get(tag)";
Debug.ShouldStop(268435456);
__ref.setField ("_iniciojobdone" /*RemoteObject*/ ,BA.numberCast(long.class, __ref.getField(false,"_iniciojobdonemap" /*RemoteObject*/ ).runMethod(false,"Get",(Object)((_tag)))));
 };
 };
 BA.debugLineNum = 322;BA.debugLine="Private requestTime As String = NumberFormat2(((i";
Debug.ShouldStop(2);
_requesttime = dbrequestmanager.__c.runMethod(true,"NumberFormat2",(Object)((RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_iniciojobdone" /*RemoteObject*/ ),__ref.getField(true,"_iniciorequest" /*RemoteObject*/ )}, "-",1, 2)),RemoteObject.createImmutable(1000)}, "/",0, 0))),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 5)),(Object)(BA.numberCast(int.class, 0)),(Object)(dbrequestmanager.__c.getField(true,"False")));Debug.locals.put("requestTime", _requesttime);Debug.locals.put("requestTime", _requesttime);
 BA.debugLineNum = 323;BA.debugLine="Private JobDoneTime As String = NumberFormat2(((D";
Debug.ShouldStop(4);
_jobdonetime = dbrequestmanager.__c.runMethod(true,"NumberFormat2",(Object)((RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {dbrequestmanager.__c.getField(false,"DateTime").runMethod(true,"getNow"),__ref.getField(true,"_iniciojobdone" /*RemoteObject*/ )}, "-",1, 2)),RemoteObject.createImmutable(1000)}, "/",0, 0))),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 5)),(Object)(BA.numberCast(int.class, 0)),(Object)(dbrequestmanager.__c.getField(true,"False")));Debug.locals.put("JobDoneTime", _jobdonetime);Debug.locals.put("JobDoneTime", _jobdonetime);
 BA.debugLineNum = 324;BA.debugLine="times.Put(\"requestTime\", requestTime)";
Debug.ShouldStop(8);
_times.runVoidMethod ("Put",(Object)(RemoteObject.createImmutable(("requestTime"))),(Object)((_requesttime)));
 BA.debugLineNum = 325;BA.debugLine="times.Put(\"jobDoneTime\", JobDoneTime)";
Debug.ShouldStop(16);
_times.runVoidMethod ("Put",(Object)(RemoteObject.createImmutable(("jobDoneTime"))),(Object)((_jobdonetime)));
 BA.debugLineNum = 326;BA.debugLine="times.Put(\"totalTime\", NumberFormat2((JobDoneTime";
Debug.ShouldStop(32);
_times.runVoidMethod ("Put",(Object)(RemoteObject.createImmutable(("totalTime"))),(Object)((dbrequestmanager.__c.runMethod(true,"NumberFormat2",(Object)((RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, _jobdonetime),BA.numberCast(double.class, _requesttime)}, "+",1, 0))),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 5)),(Object)(BA.numberCast(int.class, 0)),(Object)(dbrequestmanager.__c.getField(true,"False"))))));
 BA.debugLineNum = 327;BA.debugLine="Return times";
Debug.ShouldStop(64);
if (true) return _times;
 BA.debugLineNum = 328;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _startjob(RemoteObject __ref,RemoteObject _j,RemoteObject _memorystream,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("StartJob (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,84);
if (RapidSub.canDelegate("startjob")) { return __ref.runUserSub(false, "dbrequestmanager","startjob", __ref, _j, _memorystream, _tag);}
RemoteObject _compress = RemoteObject.declareNull("anywheresoftware.b4a.randomaccessfile.CompressedStreams");
RemoteObject _out = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
Debug.locals.put("j", _j);
Debug.locals.put("MemoryStream", _memorystream);
Debug.locals.put("Tag", _tag);
 BA.debugLineNum = 84;BA.debugLine="Private Sub StartJob(j As HttpJob, MemoryStream As";
Debug.ShouldStop(524288);
 BA.debugLineNum = 86;BA.debugLine="If reqsList.IsInitialized Then reqsList.Add(Tag)";
Debug.ShouldStop(2097152);
if (__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)(_tag));};
 BA.debugLineNum = 87;BA.debugLine="If timesList.IsInitialized Then timesList.Add(Dat";
Debug.ShouldStop(4194304);
if (__ref.getField(false,"_timeslist" /*RemoteObject*/ ).runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
__ref.getField(false,"_timeslist" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)((dbrequestmanager.__c.getField(false,"DateTime").runMethod(true,"getNow"))));};
 BA.debugLineNum = 88;BA.debugLine="j.Initialize(\"DBRequest\", mTarget)";
Debug.ShouldStop(8388608);
_j.runClassMethod (gunav2.keymon.com.mx.httpjob.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(BA.ObjectToString("DBRequest")),(Object)(__ref.getField(false,"_mtarget" /*RemoteObject*/ )));
 BA.debugLineNum = 89;BA.debugLine="j.Tag = Tag";
Debug.ShouldStop(16777216);
_j.setField ("_tag" /*RemoteObject*/ ,_tag);
 BA.debugLineNum = 90;BA.debugLine="MemoryStream.InitializeToBytesArray(0)";
Debug.ShouldStop(33554432);
_memorystream.runVoidMethod ("InitializeToBytesArray",(Object)(BA.numberCast(int.class, 0)));
 BA.debugLineNum = 91;BA.debugLine="Dim compress As CompressedStreams";
Debug.ShouldStop(67108864);
_compress = RemoteObject.createNew ("anywheresoftware.b4a.randomaccessfile.CompressedStreams");Debug.locals.put("compress", _compress);
 BA.debugLineNum = 92;BA.debugLine="Dim out As OutputStream = compress.WrapOutputStre";
Debug.ShouldStop(134217728);
_out = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
_out = _compress.runMethod(false,"WrapOutputStream",(Object)((_memorystream.getObject())),(Object)(RemoteObject.createImmutable("gzip")));Debug.locals.put("out", _out);Debug.locals.put("out", _out);
 BA.debugLineNum = 93;BA.debugLine="WriteObject(VERSION, out)";
Debug.ShouldStop(268435456);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeobject" /*RemoteObject*/ ,(Object)((__ref.getField(true,"_version" /*RemoteObject*/ ))),(Object)(_out));
 BA.debugLineNum = 94;BA.debugLine="Return out";
Debug.ShouldStop(536870912);
if (true) return _out;
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _trackinit(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("trackInit (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,331);
if (RapidSub.canDelegate("trackinit")) { return __ref.runUserSub(false, "dbrequestmanager","trackinit", __ref);}
 BA.debugLineNum = 331;BA.debugLine="Sub trackInit 'ignore";
Debug.ShouldStop(1024);
 BA.debugLineNum = 332;BA.debugLine="Log(\">>>>>>>>>  TRACKINIT \")";
Debug.ShouldStop(2048);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088145921",RemoteObject.createImmutable(">>>>>>>>>  TRACKINIT "),0);
 BA.debugLineNum = 333;BA.debugLine="reqsList.Initialize";
Debug.ShouldStop(4096);
__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 334;BA.debugLine="timesList.Initialize";
Debug.ShouldStop(8192);
__ref.getField(false,"_timeslist" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 335;BA.debugLine="inicioRequestMap.Initialize";
Debug.ShouldStop(16384);
__ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 336;BA.debugLine="inicioJobDoneMap.Initialize";
Debug.ShouldStop(32768);
__ref.getField(false,"_iniciojobdonemap" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 337;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _tracknext(RemoteObject __ref,RemoteObject _job) throws Exception{
try {
		Debug.PushSubsStack("trackNext (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,339);
if (RapidSub.canDelegate("tracknext")) { return __ref.runUserSub(false, "dbrequestmanager","tracknext", __ref, _job);}
RemoteObject _quitamos = RemoteObject.createImmutable("");
RemoteObject _pos = RemoteObject.createImmutable(0);
Debug.locals.put("job", _job);
 BA.debugLineNum = 339;BA.debugLine="Sub trackNext(job As HttpJob)";
Debug.ShouldStop(262144);
 BA.debugLineNum = 340;BA.debugLine="If reqsList.IsInitialized Then 'Si tenemos lista";
Debug.ShouldStop(524288);
if (__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 341;BA.debugLine="Private quitamos As String = \"\"";
Debug.ShouldStop(1048576);
_quitamos = BA.ObjectToString("");Debug.locals.put("quitamos", _quitamos);Debug.locals.put("quitamos", _quitamos);
 BA.debugLineNum = 342;BA.debugLine="If reqsList.IndexOf(job.tag) <> -1 Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("!",__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"IndexOf",(Object)(_job.getField(false,"_tag" /*RemoteObject*/ ))),BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 343;BA.debugLine="Private pos As Int = reqsList.IndexOf(job.tag)";
Debug.ShouldStop(4194304);
_pos = __ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"IndexOf",(Object)(_job.getField(false,"_tag" /*RemoteObject*/ )));Debug.locals.put("pos", _pos);Debug.locals.put("pos", _pos);
 BA.debugLineNum = 344;BA.debugLine="If pos <> -1 Then";
Debug.ShouldStop(8388608);
if (RemoteObject.solveBoolean("!",_pos,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 345;BA.debugLine="inicioRequestMap.Put(job.Tag, timesList.Get(po";
Debug.ShouldStop(16777216);
__ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ ).runVoidMethod ("Put",(Object)(_job.getField(false,"_tag" /*RemoteObject*/ )),(Object)(__ref.getField(false,"_timeslist" /*RemoteObject*/ ).runMethod(false,"Get",(Object)(_pos))));
 BA.debugLineNum = 346;BA.debugLine="reqsList.RemoveAt(pos)";
Debug.ShouldStop(33554432);
__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runVoidMethod ("RemoveAt",(Object)(_pos));
 BA.debugLineNum = 347;BA.debugLine="timesList.RemoveAt(pos)";
Debug.ShouldStop(67108864);
__ref.getField(false,"_timeslist" /*RemoteObject*/ ).runVoidMethod ("RemoveAt",(Object)(_pos));
 };
 BA.debugLineNum = 349;BA.debugLine="quitamos = $\"Quitamos ${job.tag} - \"$";
Debug.ShouldStop(268435456);
_quitamos = (RemoteObject.concat(RemoteObject.createImmutable("Quitamos "),dbrequestmanager.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)(_job.getField(false,"_tag" /*RemoteObject*/ ))),RemoteObject.createImmutable(" - ")));Debug.locals.put("quitamos", _quitamos);
 };
 BA.debugLineNum = 351;BA.debugLine="LogColor(\">>>>>> Requests: \" & reqsList.Size & \"";
Debug.ShouldStop(1073741824);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088211468",RemoteObject.concat(RemoteObject.createImmutable(">>>>>> Requests: "),__ref.getField(false,"_reqslist" /*RemoteObject*/ ).runMethod(true,"getSize"),RemoteObject.createImmutable(" - "),_quitamos,__ref.getField(false,"_reqslist" /*RemoteObject*/ )),dbrequestmanager.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 352;BA.debugLine="LogColor(\">>>>>> inicioRequestMap:\" & inicioRequ";
Debug.ShouldStop(-2147483648);
dbrequestmanager.__c.runVoidMethod ("LogImpl","088211469",RemoteObject.concat(RemoteObject.createImmutable(">>>>>> inicioRequestMap:"),__ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ ).runMethod(true,"getSize"),RemoteObject.createImmutable(" - "),__ref.getField(false,"_iniciorequestmap" /*RemoteObject*/ )),dbrequestmanager.__c.getField(false,"Colors").getField(true,"Magenta"));
 };
 BA.debugLineNum = 354;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _writeint(RemoteObject __ref,RemoteObject _i,RemoteObject _out) throws Exception{
try {
		Debug.PushSubsStack("WriteInt (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,192);
if (RapidSub.canDelegate("writeint")) { return __ref.runUserSub(false, "dbrequestmanager","writeint", __ref, _i, _out);}
RemoteObject _data = null;
Debug.locals.put("i", _i);
Debug.locals.put("out", _out);
 BA.debugLineNum = 192;BA.debugLine="Private Sub WriteInt(i As Int, out As OutputStream";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 193;BA.debugLine="Dim data() As Byte";
Debug.ShouldStop(1);
_data = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 194;BA.debugLine="data = bc.IntsToBytes(Array As Int(i))";
Debug.ShouldStop(2);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"IntsToBytes",(Object)(RemoteObject.createNewArray("int",new int[] {1},new Object[] {_i})));Debug.locals.put("data", _data);
 BA.debugLineNum = 195;BA.debugLine="out.WriteBytes(data, 0, data.Length)";
Debug.ShouldStop(4);
_out.runVoidMethod ("WriteBytes",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(_data.getField(true,"length")));
 BA.debugLineNum = 196;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _writelist(RemoteObject __ref,RemoteObject _parameters,RemoteObject _out) throws Exception{
try {
		Debug.PushSubsStack("WriteList (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,97);
if (RapidSub.canDelegate("writelist")) { return __ref.runUserSub(false, "dbrequestmanager","writelist", __ref, _parameters, _out);}
RemoteObject _data = null;
RemoteObject _o = RemoteObject.declareNull("Object");
Debug.locals.put("out", _out);
 BA.debugLineNum = 97;BA.debugLine="Private Sub WriteList(Parameters As List, out As O";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="Dim data() As Byte";
Debug.ShouldStop(2);
_data = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 99;BA.debugLine="If Parameters = Null Or Parameters.IsInitialized";
Debug.ShouldStop(4);
if (RemoteObject.solveBoolean("n",_parameters) || RemoteObject.solveBoolean("=",_parameters.runMethod(true,"IsInitialized"),dbrequestmanager.__c.getField(true,"False"))) { 
 BA.debugLineNum = 100;BA.debugLine="Dim Parameters As List";
Debug.ShouldStop(8);
_parameters = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("Parameters", _parameters);
 BA.debugLineNum = 101;BA.debugLine="Parameters.Initialize";
Debug.ShouldStop(16);
_parameters.runVoidMethod ("Initialize");
 };
 BA.debugLineNum = 103;BA.debugLine="data = bc.IntsToBytes(Array As Int(Parameters.Siz";
Debug.ShouldStop(64);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"IntsToBytes",(Object)(RemoteObject.createNewArray("int",new int[] {1},new Object[] {_parameters.runMethod(true,"getSize")})));Debug.locals.put("data", _data);
 BA.debugLineNum = 104;BA.debugLine="out.WriteBytes(data, 0, data.Length)";
Debug.ShouldStop(128);
_out.runVoidMethod ("WriteBytes",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(_data.getField(true,"length")));
 BA.debugLineNum = 105;BA.debugLine="For Each o As Object In Parameters";
Debug.ShouldStop(256);
{
final RemoteObject group8 = _parameters;
final int groupLen8 = group8.runMethod(true,"getSize").<Integer>get()
;int index8 = 0;
;
for (; index8 < groupLen8;index8++){
_o = group8.runMethod(false,"Get",index8);Debug.locals.put("o", _o);
Debug.locals.put("o", _o);
 BA.debugLineNum = 106;BA.debugLine="WriteObject(o, out)";
Debug.ShouldStop(512);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeobject" /*RemoteObject*/ ,(Object)(_o),(Object)(_out));
 }
}Debug.locals.put("o", _o);
;
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _writeobject(RemoteObject __ref,RemoteObject _o,RemoteObject _out) throws Exception{
try {
		Debug.PushSubsStack("WriteObject (dbrequestmanager) ","dbrequestmanager",28,__ref.getField(false, "ba"),__ref,110);
if (RapidSub.canDelegate("writeobject")) { return __ref.runUserSub(false, "dbrequestmanager","writeobject", __ref, _o, _out);}
RemoteObject _data = null;
RemoteObject _b = RemoteObject.createImmutable(false);
Debug.locals.put("o", _o);
Debug.locals.put("out", _out);
 BA.debugLineNum = 110;BA.debugLine="Private Sub WriteObject(o As Object, out As Output";
Debug.ShouldStop(8192);
 BA.debugLineNum = 111;BA.debugLine="Dim data() As Byte";
Debug.ShouldStop(16384);
_data = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 112;BA.debugLine="tempArray(0) = o";
Debug.ShouldStop(32768);
__ref.getField(false,"_temparray" /*RemoteObject*/ ).setArrayElement (_o,BA.numberCast(int.class, 0));
 BA.debugLineNum = 113;BA.debugLine="If tempArray(0) = Null Then";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean("n",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)))) { 
 BA.debugLineNum = 114;BA.debugLine="out.WriteBytes(Array As Byte(T_NULL), 0, 1)";
Debug.ShouldStop(131072);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_null" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 }else 
{ BA.debugLineNum = 115;BA.debugLine="Else If tempArray(0) Is Short Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Short"))) { 
 BA.debugLineNum = 116;BA.debugLine="out.WriteBytes(Array As Byte(T_SHORT), 0, 1)";
Debug.ShouldStop(524288);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_short" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 117;BA.debugLine="data = bc.ShortsToBytes(Array As Short(o))";
Debug.ShouldStop(1048576);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"ShortsToBytes",(Object)(RemoteObject.createNewArray("short",new int[] {1},new Object[] {BA.numberCast(short.class, _o)})));Debug.locals.put("data", _data);
 }else 
{ BA.debugLineNum = 118;BA.debugLine="Else If tempArray(0) Is Int Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Integer"))) { 
 BA.debugLineNum = 119;BA.debugLine="out.WriteBytes(Array As Byte(T_INT), 0, 1)";
Debug.ShouldStop(4194304);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_int" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 120;BA.debugLine="data = bc.IntsToBytes(Array As Int(o))";
Debug.ShouldStop(8388608);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"IntsToBytes",(Object)(RemoteObject.createNewArray("int",new int[] {1},new Object[] {BA.numberCast(int.class, _o)})));Debug.locals.put("data", _data);
 }else 
{ BA.debugLineNum = 121;BA.debugLine="Else If tempArray(0) Is Float Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Float"))) { 
 BA.debugLineNum = 122;BA.debugLine="out.WriteBytes(Array As Byte(T_FLOAT), 0, 1)";
Debug.ShouldStop(33554432);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_float" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 123;BA.debugLine="data = bc.FloatsToBytes(Array As Float(o))";
Debug.ShouldStop(67108864);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"FloatsToBytes",(Object)(RemoteObject.createNewArray("float",new int[] {1},new Object[] {BA.numberCast(float.class, _o)})));Debug.locals.put("data", _data);
 }else 
{ BA.debugLineNum = 124;BA.debugLine="Else If tempArray(0) Is Double Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Double"))) { 
 BA.debugLineNum = 125;BA.debugLine="out.WriteBytes(Array As Byte(T_DOUBLE), 0, 1)";
Debug.ShouldStop(268435456);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_double" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 126;BA.debugLine="data = bc.DoublesToBytes(Array As Double(o))";
Debug.ShouldStop(536870912);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"DoublesToBytes",(Object)(RemoteObject.createNewArray("double",new int[] {1},new Object[] {BA.numberCast(double.class, _o)})));Debug.locals.put("data", _data);
 }else 
{ BA.debugLineNum = 127;BA.debugLine="Else If tempArray(0) Is Long Then";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Long"))) { 
 BA.debugLineNum = 128;BA.debugLine="out.WriteBytes(Array As Byte(T_LONG), 0, 1)";
Debug.ShouldStop(-2147483648);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_long" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 129;BA.debugLine="data = bc.LongsToBytes(Array As Long(o))";
Debug.ShouldStop(1);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"LongsToBytes",(Object)(RemoteObject.createNewArray("long",new int[] {1},new Object[] {BA.numberCast(long.class, _o)})));Debug.locals.put("data", _data);
 }else 
{ BA.debugLineNum = 130;BA.debugLine="Else If tempArray(0) Is Boolean Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("i",__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)), RemoteObject.createImmutable("Boolean"))) { 
 BA.debugLineNum = 131;BA.debugLine="out.WriteBytes(Array As Byte(T_BOOLEAN), 0, 1)";
Debug.ShouldStop(4);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_boolean" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 132;BA.debugLine="Dim b As Boolean = 0";
Debug.ShouldStop(8);
_b = BA.ObjectToBoolean(0);Debug.locals.put("b", _b);Debug.locals.put("b", _b);
 BA.debugLineNum = 133;BA.debugLine="Dim data(1) As Byte";
Debug.ShouldStop(16);
_data = RemoteObject.createNewArray ("byte", new int[] {1}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 134;BA.debugLine="If b Then data(0) = 1 Else data(0) = 0";
Debug.ShouldStop(32);
if (_b.<Boolean>get().booleanValue()) { 
_data.setArrayElement (BA.numberCast(byte.class, 1),BA.numberCast(int.class, 0));}
else {
_data.setArrayElement (BA.numberCast(byte.class, 0),BA.numberCast(int.class, 0));};
 }else 
{ BA.debugLineNum = 135;BA.debugLine="Else If GetType(tempArray(0)) = \"[B\" Then";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean("=",dbrequestmanager.__c.runMethod(true,"GetType",(Object)(__ref.getField(false,"_temparray" /*RemoteObject*/ ).getArrayElement(false,BA.numberCast(int.class, 0)))),BA.ObjectToString("[B"))) { 
 BA.debugLineNum = 136;BA.debugLine="data = o";
Debug.ShouldStop(128);
_data = (_o);Debug.locals.put("data", _data);
 BA.debugLineNum = 137;BA.debugLine="out.WriteBytes(Array As Byte(T_BLOB), 0, 1)";
Debug.ShouldStop(256);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_blob" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 138;BA.debugLine="WriteInt(data.Length, out)";
Debug.ShouldStop(512);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeint" /*RemoteObject*/ ,(Object)(_data.getField(true,"length")),(Object)(_out));
 }else {
 BA.debugLineNum = 140;BA.debugLine="out.WriteBytes(Array As Byte(T_STRING), 0, 1)";
Debug.ShouldStop(2048);
_out.runVoidMethod ("WriteBytes",(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {__ref.getField(true,"_t_string" /*RemoteObject*/ )})),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 1)));
 BA.debugLineNum = 141;BA.debugLine="data = bc.StringToBytes(o, \"UTF8\")";
Debug.ShouldStop(4096);
_data = __ref.getField(false,"_bc" /*RemoteObject*/ ).runMethod(false,"StringToBytes",(Object)(BA.ObjectToString(_o)),(Object)(RemoteObject.createImmutable("UTF8")));Debug.locals.put("data", _data);
 BA.debugLineNum = 142;BA.debugLine="WriteInt(data.Length, out)";
Debug.ShouldStop(8192);
__ref.runClassMethod (gunav2.keymon.com.mx.dbrequestmanager.class, "_writeint" /*RemoteObject*/ ,(Object)(_data.getField(true,"length")),(Object)(_out));
 }}}}}}}}
;
 BA.debugLineNum = 144;BA.debugLine="If data.Length > 0 Then out.WriteBytes(data, 0, d";
Debug.ShouldStop(32768);
if (RemoteObject.solveBoolean(">",_data.getField(true,"length"),BA.numberCast(double.class, 0))) { 
_out.runVoidMethod ("WriteBytes",(Object)(_data),(Object)(BA.numberCast(int.class, 0)),(Object)(_data.getField(true,"length")));};
 BA.debugLineNum = 145;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}